.TH PING6 "1" "2019-02-09" "GNU inetutils" "User Commands"
.SH NAME
ping6 \- send ICMP ECHO_REQUEST packets to network hosts
.SH SYNOPSIS
.B ping6
[\fIoption\fR...] \fIhost\fR...
.SH DESCRIPTION
Send ICMP ECHO_REQUEST packets to network hosts.
.SH OPTIONS
.TP
\fB\-c\fR, \fB\-\-count\fR=\fInumber\fR
Stop after sending \fInumber\fP packets.
.TP
\fB\-i\fR, \fB\-\-interval\fR=\fInumber\fR
Wait \fInumber\fP seconds between sending each packet.
.TP
\fB\-w\fR, \fB\-\-timeout\fR=\fIn\fR
Stop after \fIn\fP seconds.
.TP
\fB\-n\fR, \fB\-\-numeric\fR
Do not resolve host addresses.
.TP
\fB\-\-hoplimit\fR=\fIn\fR
.TQ
\fB\-\-ttl\fR=\fIn\fR
Specify \fIn\fP as hop-limit.
.TP
\fB\-r\fR, \fB\-\-ignore\-routing\fR
Send directly to a host on an attached network.
.TP
\fB\-T\fR, \fB\-\-tos\fR=\fIn\fR
Set traffic class to \fIn\fP.
.TP
\fB\-v\fR, \fB\-\-verbose\fR
Verbose output.
.TP
\fB\-q\fR, \fB\-\-quiet\fR
Quiet output.
.TP
\fB\-d\fR, \fB\-\-debug\fR
Set the SO_DEBUG option.
.TP
\fB\-?\fP, \fB\-\-help\fR
Give this help list.
.TP
\fB\-\-usage\fR
give a short usage message.
.TP
\fB\-V\fR, \fB\-\-version\fR
Print program version.
.SS
Options valid for \fB\-\-echo\fR requests:
.TP
\fB\-f\fR, \fB\-\-flood\fR
Flood ping (root only).
.TP
\fB\-l\fR, \fB\-\-preload\fR=\fInumber\fR
Send \fInumber\fP packets as fast as possible before falling into normal mode
of behavior (root only).
.TP
\fB\-p\fR, \fB\-\-pattern\fR=\fIpattern\fR
Fill ICMP packet with the given pattern (hex).
.TP
\fB\-s\fR, \fB\-\-size\fR=\fInumber\fR
Send \fInumber\fP data octets.
.PP
Options marked with (root only) are available only to superuser.
